Utils
Detect a card brand from its BIN
selectkey<token>
API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).
In: header
Query Parameters
numbering*string
lookup?boolean
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/utils/card-bin-validation?numbering=string"{
"valid": true,
"bin": "string",
"brand": "string",
"length": 0,
"luhnValid": true,
"intel": {
"scheme": "string",
"type": "string",
"category": "string",
"bank": "string",
"country": "string"
},
"merchant": {
"name": "Acme Ltda",
"merchantId": "string",
"isSubAccount": true
},
"_links": {}
}{
"error": {
"status": "Bad Request",
"statusCode": 400,
"category": "validation",
"code": "invalidParameters",
"message": "Validation errors occurred.",
"resource": "server"
}
}{
"error": {
"status": "Unauthorized",
"statusCode": 401,
"category": "authentication",
"code": "unauthorized",
"message": "Authentication is required to access this resource.",
"resource": "server"
}
}{
"error": {
"status": "Internal Server Error",
"statusCode": 500,
"category": "server",
"code": "serverError",
"message": "An unexpected error occurred. Please try again later.",
"resource": "server",
"details": "If the problem persists, contact support with the correlationId from the response headers."
}
}Entrega de evento na sua URL Webhook
Corpo JSON que a Selectwin envia (POST) para a URL que você configurou quando ocorre um evento. **Responda 200 ou 201** para confirmar; qualquer outro status (incluindo outros 2xx) é tratado como falha e pode acionar retentativas.
List company categories GET
Next Page